package EFS::DBI::ResultSet::MetaprojAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

sub get_flattened_data {

    my $self = shift;

    my $data = {};

    foreach my $attr ( $self->all ) {
        $data->{ $attr->metaproj->object_id }->{ $attr->name } = $attr->value;
    }

    return $data;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
